<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class Device extends Model
{
    protected $table = 'device';

    protected $primaryKey = 'device_id';

    protected $keyType = 'string';

    protected $dateFormat = 'U';

    const CREATED_AT = 'device_addtimes';

    const UPDATED_AT = null;

    public function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}